胖蔡叨叨叨
你听我说

ERROR:mysqlclient-1.4.6-cp38-cp38-win_amd64.whl is not a supported wheel on this platform

在windows中下载mysqlclient-1.4.6-cp38-cp38-win_amd64.whl 安装,出现如下错误:

问题原因

查找原因发现是当前的whl和当前系统的python版本不一致,对应python版本如下:

解决方案

我们通过命令查看当前的python版本重新下载对应的wsl实现mysqlclient的下载:

1、查看python版本

Administrator@SK-20210214MAUY MINGW64 /d/Downloads
$ python -V
Python 3.7.0

2、安装mysqlclient

3、安装wsl

Administrator@SK-20210214MAUY MINGW64 /d/Downloads
$ pip install mysqlclient-1.4.6-cp37-cp37m-win_amd64.whl
Looking in indexes: https://pypi.tuna.tsinghua.edu.cn/simple/
Processing d:\downloads\mysqlclient-1.4.6-cp37-cp37m-win_amd64.whl
Installing collected packages: mysqlclient
Successfully installed mysqlclient-1.4.6

附录

赞(0) 打赏
转载请附上原文出处链接:胖蔡叨叨叨 » ERROR:mysqlclient-1.4.6-cp38-cp38-win_amd64.whl is not a supported wheel on this platform
分享到: 更多 (0)

评论 抢沙发

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址

请小编喝杯咖啡~

支付宝扫一扫打赏

微信扫一扫打赏